summaryrefslogtreecommitdiff
path: root/tests/misc/split-fail
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-04-09 12:21:13 +0000
committerJim Meyering <jim@meyering.net>2003-04-09 12:21:13 +0000
commit60334e21a886c164217f66e48c3df23057e0dc42 (patch)
tree0bb388568cec12d4493c3ab21da9e26ca783785d /tests/misc/split-fail
parent40989ab48423e69d9549ec608e432064d0901735 (diff)
downloadcoreutils-60334e21a886c164217f66e48c3df23057e0dc42.tar.xz
also check obsolete option -0
Diffstat (limited to 'tests/misc/split-fail')
-rwxr-xr-xtests/misc/split-fail6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/misc/split-fail b/tests/misc/split-fail
index 3927d99d7..2e3b77fb5 100755
--- a/tests/misc/split-fail
+++ b/tests/misc/split-fail
@@ -28,4 +28,10 @@ split -b 0 in 2> /dev/null && fail=1
split -C 0 in 2> /dev/null && fail=1
split -l 0 in 2> /dev/null && fail=1
+# Make sure that the obsolete -N notation still works
+env -u _POSIX2_VERSION split -1 in 2> /dev/null || fail=1
+
+# Then make sure that -0 evokes a failure.
+env -u _POSIX2_VERSION split -0 in 2> /dev/null && fail=1
+
(exit $fail); exit $fail